# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=6

SRC_URI="https://github.com/containers/podman/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="amd64 ~arm ~ppc64"

DESCRIPTION="A tool for managing OCI containers and pods"
HOMEPAGE="https://podman.io"

LICENSE="Apache-2.0"
SLOT="0"
IUSE=""

DEPEND="
	${COMMON_DEPEND}
	>=dev-lang/go-1.12
	dev-go/go-md2man
"

RDEPEND="
	>=app-emulation/conmon-2.0.24
	app-emulation/containerd
"

S=${WORKDIR}/${P}

RESTRICT="test"

src_prepare() {
	default
	# sed -i -e "s/git rev-parse.*\$/echo gentoo)/" -e "/COMMIT :=/d" -e "/COMMIT_NO :=/d" Makefile || die
}

src_compile() {
	PREFIX="/usr" make
}

src_install() {
	dobin bin/podman
	dobin bin/podman-remote
	dobin bin/rootlessport
}

